org.codehaus.groovy.antlr

## Class ASTParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException
      - - org.codehaus.groovy.syntax.SyntaxException
        - - org.codehaus.groovy.syntax.TokenException
          - - org.codehaus.groovy.syntax.ParserException
            - - org.codehaus.groovy.antlr.ASTParserException

- All Implemented Interfaces:
    java.io.Serializable, GroovyExceptionInterface

      public class ASTParserException
      extends ParserException

  Thrown when trying to parse the AST
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTParserException(ASTRuntimeException e)`
    `ASTParserException(java.lang.String message, ASTRuntimeException e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `antlr.collections.AST` | `getAst()`

    - ### Methods inherited from class org.codehaus.groovy.syntax.TokenException

      `getEndColumn`

    - ### Methods inherited from class org.codehaus.groovy.syntax.SyntaxException

      `getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

    - ### Methods inherited from class org.codehaus.groovy.GroovyException

      `isFatal, setFatal`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTParserException

          public ASTParserException(ASTRuntimeException e)

    - #### ASTParserException

          public ASTParserException(java.lang.String message,
                            ASTRuntimeException e)

  - ### Method Detail

    - #### getAst

          public antlr.collections.AST getAst()